Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class FeatureReference

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.FeatureReferenceModel
                  org.eclipse.update.core.FeatureReference

All Implemented Interfaces:
  IAdaptable, IFeatureReference, IPlatformEnvironment

Direct Known Subclasses:
  IncludedFeatureReferenceModel, SiteFeatureReferenceModel

public class FeatureReference
extends FeatureReferenceModel
implements IFeatureReference, IPlatformEnvironment

Convenience implementation of a feature reference.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IFeatureReference`, `FeatureReferenceModel`

Constructor Summary
`FeatureReference()` Feature reference default constructor
`FeatureReference(FeatureReferenceModel ref)` Constructor FeatureReference.
`FeatureReference(IFeatureReference ref)` Constructor FeatureReference.

Method Summary
`IFeature` | `getFeature()` Deprecated. use getFeaure(IProgressMonitor)
`protected IFeature` | `getFeature(IFeatureReference ref, IProgressMonitor monitor)` Returns the feature the reference points to
`IFeature` | `getFeature(IProgressMonitor monitor)` Returns the feature this reference points to
`String` | `getName()` Returns the label for the referenced feature
`String` | `getNL()` Get optional locale specification as a comma-separated string.
`String` | `getOS()` Get optional operating system specification as a comma-separated string.
`String` | `getOSArch()` Get optional system architecture specification as a comma-separated string.
`ISite` | `getSite()` Returns the update site for the referenced feature
`VersionedIdentifier` | `getVersionedIdentifier()` Returns the feature identifier.
`String` | `getWS()` Get optional windowing system specification as a comma-separated string.
`boolean` | `isPatch()` Returns `true` if this feature is patching another feature, `false` otherwise
`void` | `setSite(ISite site)` Associates a site with the feature reference.
`void` | `setURL(URL url)` Sets the feature reference URL.

Methods inherited from class org.eclipse.update.core.model.FeatureReferenceModel
`equals, getFeatureIdentifier, getFeatureVersion, getLabel, getLabelNonLocalized, getPatch, getPropertyName, getSiteModel, getType, getURL, getURLString, resolve, setArch, setFeatureIdentifier, setFeatureVersion, setLabel, setNL, setOS, setPatch, setSiteModel, setType, setURLString, setWS, toString`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IFeatureReference
`getURL`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### FeatureReference

    public FeatureReference()

  Feature reference default constructor

### FeatureReference

    public FeatureReference(IFeatureReference ref)

  Constructor FeatureReference.

Parameters:
  `ref` - the reference to copy

### FeatureReference

    public FeatureReference(FeatureReferenceModel ref)

  Constructor FeatureReference.

Parameters:
  `ref` - the reference to copy

Method Detail

### getFeature

    public IFeature getFeature()
                        throws CoreException

  Deprecated. use getFeaure(IProgressMonitor)

  Returns the feature this reference points to

  Specified by:
    `getFeature` in interface `IFeatureReference`
  Returns:
    the feature on the Site
  Throws:
    `CoreException`

### getFeature

    public IFeature getFeature(IProgressMonitor monitor)
                        throws CoreException

  Returns the feature this reference points to

  Specified by:
    `getFeature` in interface `IFeatureReference`
  Parameters:
    `monitor` - the progress monitor
  Returns:
    the feature on the Site
  Throws:
    `CoreException`

### getFeature

    protected IFeature getFeature(IFeatureReference ref,
                                  IProgressMonitor monitor)
                           throws CoreException

  Returns the feature the reference points to

  Parameters:
    `ref` - the feature reference
  Returns:
    the feature on the Site
  Throws:
    `CoreException`

### getSite

    public ISite getSite()

  Returns the update site for the referenced feature

  Specified by:
    `getSite` in interface `IFeatureReference`
  Returns:
    feature site
  Since:
    2.0
  See Also:
    `IFeatureReference.getSite()`

### setURL

    public void setURL(URL url)
                throws CoreException

  Sets the feature reference URL. This is typically performed as part of the feature reference creation operation. Once set, the url should not be reset.

  Specified by:
    `setURL` in interface `IFeatureReference`
  Parameters:
    `url` - reference URL
  Throws:
    `CoreException`
  Since:
    2.0
  See Also:
    `IFeatureReference.setURL(URL)`

### setSite

    public void setSite(ISite site)

  Associates a site with the feature reference. This is typically performed as part of the feature reference creation operation. Once set, the site should not be reset.

  Specified by:
    `setSite` in interface `IFeatureReference`
  Parameters:
    `site` - site for the feature reference
  Since:
    2.0
  See Also:
    `IFeatureReference.setSite(ISite)`

### getVersionedIdentifier

    public VersionedIdentifier getVersionedIdentifier()

  Returns the feature identifier.

  Specified by:
    `getVersionedIdentifier` in interface `IFeatureReference`
  Returns:
    the feature identifier.
  Since:
    2.0
  See Also:
    `IFeatureReference.getVersionedIdentifier()`

### getName

    public String getName()

  Description copied from interface: `IFeatureReference`
  Returns the label for the referenced feature

  Specified by:
    `getName` in interface `IFeatureReference`
  Returns:
    the label
  See Also:
    `IFeatureReference.getName()`

### getOS

    public String getOS()

  Get optional operating system specification as a comma-separated string.

  Specified by:
    `getOS` in interface `IPlatformEnvironment`
  Overrides:
    `getOS` in class `FeatureReferenceModel`
  Returns:
    the operating system specification string, or `null`.
  Since:
    2.1

### getWS

    public String getWS()

  Get optional windowing system specification as a comma-separated string.

  Specified by:
    `getWS` in interface `IPlatformEnvironment`
  Overrides:
    `getWS` in class `FeatureReferenceModel`
  Returns:
    the windowing system specification string, or `null`.
  Since:
    2.1

### getOSArch

    public String getOSArch()

  Get optional system architecture specification as a comma-separated string.

  Specified by:
    `getOSArch` in interface `IPlatformEnvironment`
  Overrides:
    `getOSArch` in class `FeatureReferenceModel`
  Returns:
    the system architecture specification string, or `null`.
  Since:
    2.1

### getNL

    public String getNL()

  Get optional locale specification as a comma-separated string.

  Specified by:
    `getNL` in interface `IPlatformEnvironment`
  Overrides:
    `getNL` in class `FeatureReferenceModel`
  Returns:
    the locale specification string, or `null`.
  Since:
    2.1

### isPatch

    public boolean isPatch()

  Returns `true` if this feature is patching another feature, `false` otherwise

  Specified by:
    `isPatch` in interface `IFeatureReference`
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.